require_relative 'api'

module Datafiniti

  class Listings < Api

    attr_accessor :format
    attr_accessor :response
    attr_reader :records
    attr_reader :total
    attr_reader :preview

    def initialize(args={})
      @format = "json"
      super(args)
    end

    def where(query)
      query = build_new_query(query)
      @response = get("/v2/data/locations/preview?view=portal_business_listings_json&q=#{query}")
      update_records
      return @response
    end

    def solr_query(query)
      query = build_new_query(query, true)
      @response = get("/v2/data/locations/preview?view=portal_business_listings_json&q=#{query}")
      update_records
      return @response
    end
  end

end
